Bug 2250043 (CVE-2023-6121) - CVE-2023-6121 kernel: NVMe: info leak due to out-of-bounds read in nvmet_ctrl_find_get
Summary: CVE-2023-6121 kernel: NVMe: info leak due to out-of-bounds read in nvmet_ctrl...
Keywords:
Status: NEW
Alias: CVE-2023-6121
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2250044
Blocks: 2250045
TreeView+ depends on / blocked
 
Reported: 2023-11-16 11:24 UTC by Mauro Matteo Cascella
Modified: 2023-12-20 18:03 UTC (History)
44 users (show)

Fixed In Version: Kernel 6.7-rc3
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds read vulnerability was found in the NVMe-oF/TCP subsystem in the Linux kernel. This issue may allow a remote attacker to send a crafted TCP packet, triggering a heap-based buffer overflow that results in kmalloc data being printed and potentially leaked to the kernel ring buffer (dmesg).
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)

Description Mauro Matteo Cascella 2023-11-16 11:24:33 UTC
An out-of-bounds read issue was found in the NVMe-oF/TCP subsystem in the Linux kernel. A remote attacker could send a crafted TCP packet triggering a heap-based buffer overflow that results in kmalloc data to be printed (and potentially leaked) to the kernel ring buffer (dmesg).

Upstream refs:
https://lore.kernel.org/linux-nvme/b58a2dc6-cc8f-4d19-9efe-e1d5b4505efc@nvidia.com/T/
https://lore.kernel.org/linux-nvme/CAK5usQvxAyC3LJ4OnqerS1P0JpbfFr9uRZmq6Jb4QhaB7AQCoQ@mail.gmail.com/T/

Comment 1 Mauro Matteo Cascella 2023-11-16 11:30:16 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2250044]

Comment 4 Justin M. Forbes 2023-12-19 22:35:59 UTC
This was fixed for Fedora with the 6.6.4 stable kernel updates.


Note You need to log in before you can comment on or make changes to this bug.